Loading...
Searching...
No Matches
dolfin::DofMapBuilder Class Reference

Builds a DofMap on a Mesh. More...

`#include <DofMapBuilder.h>`

## Static Public Member Functions

static void | build (DofMap &dofmap, const Mesh &dolfin_mesh, std::shared_ptr< const SubDomain > constrained_domain)
static void | build_sub_map_view (DofMap &sub_dofmap, const DofMap &parent_dofmap, const std::vector< std::size_t > &component, const Mesh &mesh)

## Detailed Description

Builds a DofMap on a Mesh.

## Member Function Documentation

## build()

void DofMapBuilder::build | ( | DofMap & | dofmap,
|  | const Mesh & | dolfin_mesh,
|  | std::shared_ptr< const SubDomain > | constrained_domain )

static

Build dofmap. The constrained domain may be a null pointer, in which case it is ignored.

Parameters

  [out] | dofmap |
  [in] | dolfin_mesh |
  [in] | constrained_domain |

## build_sub_map_view()

void DofMapBuilder::build_sub_map_view | ( | DofMap & | sub_dofmap,
|  | const DofMap & | parent_dofmap,
|  | const std::vector< std::size_t > & | component,
|  | const Mesh & | mesh )

static

Build sub-dofmap. This is a view into the parent dofmap.

Parameters

  [out] | sub_dofmap |
  [in] | parent_dofmap |
  [in] | component |
  [in] | mesh |

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/DofMapBuilder.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/DofMapBuilder.cpp